IMAGE=ungleich/uncloud

all: requirements build

build:
	sh -c 'docker build -t $(IMAGE):$$(git describe) .'

pub: build
	docker push $(IMAGE):$$(git describe)

run: requirements
	. ./env && python manage.py runserver

requirements: venv
	. ./venv/bin/activate && pip install -r requirements.txt

venv:
	python3 -m venv venv
